// pages/mine.js
const app = getApp();
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		token: '',
		userName: '微信用户',
		userIcon: '/images/default-avatar.png'
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad(options) {
		var _self = this;
		wx.getUserInfo({
			success: res => {
				_self.setData({
					userIcon: res.userInfo.avatarUrl,
				})
			}
		});
	},
	goReport() {
		wx.navigateTo({
			url: '/pages/caseHistory/caseHistory',
		})
	},
	goCheck() {
		wx.navigateTo({
			url: '/pages/waitCheck/waitCheck',
		})
	}
})